.nav-text-link{
  color: black !important;
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 16px;
  cursor: pointer;
  text-decoration: none !important;
  /*text-shadow: 1px 1px 2px black;*/
}

.mt-6 {
    margin-top: 4.5rem !important;
}

.dropdown-menu {
        position: absolute;
        border: none;
        border-radius: 0px;
        width: 100%;
    }

.dropdown-item{
    font-weight: 600;
}

.dropdown-item:hover{
    background: #ffffff;
}
.bg-black{
    background: #ecf0f1;
}

.mt-inicio{
    padding-bottom: 10px !important;
}


.div-contenido{
    height: 100vh !important;
}

.divInicial{
  background-image: linear-gradient(180deg, #000000a6 0%, #00000085 100%), url(/../../static/assets/images/fondoInicio.jpeg);
  background-size: cover;
  background-repeat: no-repeat;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;

}

.divError{
  background-image: linear-gradient(180deg, #000000a6 0%, #00000085 100%), url(/../../static/assets/images/fondoInicio.jpeg);
  background-size: cover;
  background-repeat: no-repeat;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;
  height: 100vh !important;
}

/*dropdown-user*/

@media screen and (min-width: 991px) {

.modal-body{
    max-height: 80vh !important;
    overflow: auto;
}

.dropdown-menu{
    min-width: 10px !important;
}

    .dropdown-item{
        white-space: normal;
    }
}

@media screen and (max-width: 991px) {
    .text-inicio {
        font-family: "Montserrat", sans-serif;
        font-size: 25px;
        /* text-shadow: 1px 1px 2px black; */
    }

    .dropdown-user{
        border-top: solid 1px #eaeaea;
   }

}

.text-inicio {
    font-family: "Montserrat", sans-serif;
    font-weight: 600;
    font-size: 35px;
  color: #ffffff;
}

p, ul, li{
  color: #FFF !important;
  font-family: "Montserrat", sans-serif;
}

.title-black{
    font-family: "Montserrat", sans-serif;
    font-weight: 800;
    font-size: 30px;
    color: #000000 !important;
}

.title-white{
    font-family: "Montserrat", sans-serif;
    font-weight: 800;
    font-size: 30px;
    color: #FFFFFF !important;
}

.bg-black{
    background: #000000;
}

.font-title{
     font-family: "Montserrat", sans-serif;
    font-weight: 800;
    font-size: 25px;
    color: #000000 !important;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='40' height='40' viewBox='0 0 30 30'%3e%3cpath stroke='%23000000' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
    width: 40px;
    height: 40px;
    background-size: contain;
    background-repeat: no-repeat;
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }
}

.card-tienda{
  opacity: 0.85;
  cursor: pointer;
  background-size: cover;
  background-repeat: no-repeat;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;
  position: relative;
  height: 50vh;
  border: solid 0px;
}



.card-tienda:hover{
   background: #000000 !important;
   box-shadow: 1px 1px 20px 1px rgb(0 0 0) !important;
}


.card-tienda:hover p {
  color: #ffffff !important; /* Cambia el color del texto de los <p> */
}

.card-body-tienda {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  transform: translate(-50%, -50%);

}

#btn-back-to-top {
    position: fixed;
    bottom: 10px;
    right: 10px;
    width: 55px;
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 1px;
    padding-right: 1px;
    display: none;
    font-size: 35px;
    background: #0cc144;
    border: solid 1px #0cc144;
}

.btn-circle {
    text-align: center;
    border-radius: 50px;
}

.text-footer{
  font-size: 12px;
    color: #FFFFFF !important;
}

.footer-link{
 font-size: 12px;
 font-weight: 600;
 color: #FFFFFF !important;
 text-decoration: none;
 cursor: pointer;
}

.footer-link:hover{
     text-decoration: none;
}


.form-control{
    height: calc(1.5em + .75rem + 2px) !important;
}

footer {
    position: fixed;
    bottom: 0px;
    width: 100%;
    display: none;
}

.container-sistema{
    background: #ffffff !important;
    padding-bottom: 60px;
}

.dt-paging{

    border: solid 1px #b0b0b0;
    border-radius: 4px;

}

.dt-paging-button{
    margin-left: 0px !important;
    border-left: solid 0.5px #b0b0b0 !important;
    padding: 0.3em 1em !important;
}

div.dt-container .dt-paging .dt-paging-button.current, div.dt-container .dt-paging .dt-paging-button.current:hover {
    color: inherit !important;
    border-right: 0px solid rgba(0, 0, 0, 0.3) !important;
    border-top: 0px solid rgba(0, 0, 0, 0.3) !important;
    border-bottom: 0px solid rgba(0, 0, 0, 0.3) !important;
    border-left: 0.5px solid rgba(0, 0, 0, 0.3) !important;
}



.dt-button {
    border-color: #343a40 !important;
    background: #FFFFFF !important;
    padding: .375rem .75rem !important;
    font-size: 1rem !important;
    border-radius: .25rem !important;
}

.dt-button:hover {
    color: #ffffff;
    background: #343a40 !important;

}

.pagination {
    margin-top: -40px !important;
}

body {
    min-height: 100vh !important;
    background: #ffffff;
}

.fa-table-btn{
    color: #6c757d;
}

.fa-table-btn:hover{
    color:#343a40;
}


/* Estilo para el fondo de la pantalla de carga */
#loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #FFFFFF; /* Fondo blanco semi-transparente */
    z-index: 9999; /* Por encima de todo */
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner-img {
    width: 100px;  /* Ajusta el tamaño de la imagen */
    /*height: 100px; !* Ajusta el tamaño de la imagen *!*/
    /*animation: spin 1.5s linear infinite; !* Animación para girar *!*/
}

/* Animación de rotación */
@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


.bootstrap-select .dropdown-menu li {
    color: #272727 !important;
}

div.bootstrap-select > .dropdown-menu.show {
    border: solid 1px #dae0e4;
    margin-top: 0px;
}

.bootstrap-select > .dropdown-menu li a.opt {
    font-weight: normal !important;
}

.bootstrap-select .dropdown-menu li a.opt:hover {
    text-decoration: none;
    color: #393d40;
    background-color: #dae0e4;
}

.bootstrap-select > .dropdown-item.active,  .bootstrap-select > .dropdown-item:active {
    text-decoration: none;
    color: #393d40;
    background-color: #dae0e4;
}

.bootstrap-select > .dropdown-menu li a.opt.active {
    font-weight: normal !important;
    color: #393d40;
    background-color: #dae0e4;
}

.bootstrap-select > .dropdown-menu li a.active {
    font-weight: normal !important;
    color: #393d40;
    background-color: #dae0e4;
}

.bootstrap-select > .dropdown-menu li a {
    font-weight: normal !important;
    color: #393d40;
}


button.dropdown-toggle{
    height: calc(1.5em + .75rem + 2px) !important;
    background: transparent;
    border: solid 1px #ced4da;
}

.card-producto{
    min-height: 60vh !important;
    width: 100%;
    border-radius: 10px;
    cursor: pointer;
    box-shadow: 0px 0px 10px #b9b9b9;
}

.card-producto:hover{
    box-shadow: 0px 0px 10px #222222;
    text-decoration: none;
}

.card-producto a:hover{
    text-decoration: none;
}

.img-producto-catalogo{
    width: 100%;
    height: 265px;
    object-fit: contain;
    max-height: 265px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.desc-producto-catalogo{
    color: #0D0A0A !important;
}

.nombre-producto-catalogo{
    color: #0D0A0A !important;
    font-size: 14px;
}

.precio-producto-catalogo{
   font-weight: bold !important;
    font-size: 14px;
}


.p-img-producto-catalogo{

    margin-left: -20px;
    margin-right: -20px;
    margin-top: -20px;

}

.footer-producto-catalogo{
    border-top: solid 0px transparent;
}

.tipo-producto-catalogo{
    font-weight: 500;
}

.title-black a {
    text-decoration: none;
    color: #000000;
}

.producto-detalle{
    font-weight: 400;
    font-size: 14px !important;
    font-family: "Montserrat", sans-serif !important;
}

.producto-detalle p, li {
    color: #212529 !important;
    font-family: "Montserrat", sans-serif !important;
}


.img-producto-detalle{
    background: #ffffff;
    width: 100%;
    height: 465px;
    object-fit: contain;
    max-height: 465px;
    border-radius: 10px;
}

.card-producto-detalle, .p-img-producto-detalle{

    box-shadow: 1px 1px 5px 1px #dddddd !important;
    border-radius: 10px;
}


th, td, td>p{
    font-family: "Montserrat", sans-serif;
    color: #212529 !important;
}

.acordion-title {
    font-weight: 700 !important;
    text-decoration: none !important;
    font-size: 16px !important;
    color: #343a40;
    font-family: "Montserrat", sans-serif !important;
}

.btn-acordion-title:focus, .btn-acordion-title:hover  {
        box-shadow: none;
        text-decoration: none !important;
}

.acordion-descripcion{
    box-shadow: 0px 0px 10px #b9b9b9;
}

.acordion-header{
    background: #ffffff;
    cursor: pointer;
}

.custom-dropdown {
    position: fixed;
    left: -50px;
    width: 130px;
    min-width: 130px !important;
}


.navbar-nav .dropdown-menu{
    width: 100% !important;
}

.dropdown-item-menuLog{
    padding: 3px 3px 3px 3px !important;
}

.zoomImg{
    cursor: zoom-in;
}


.text-precio{
  bottom: 0 !important;
  margin-right: 15px;
  right: 0;
  position: absolute;
}
.hr-carrito{
  margin-right: -15px;
  margin-left: -15px;
}

.modal-dialog-right {
  position: fixed;
  right: 0;
  top: 0;
  margin: 0;
  height: 100%;
  min-width: 35%;
  font-size: 14px !important;
}

.modal-header-full{
    height: 6vh !important;
}

.modal-body-full{
  min-height: 100vh !important;
  overflow-x: hidden !important;
}

.modal-productos-full{
    max-height: 72vh !important;
    overflow-y: auto
}

.modal-footer-full{
  width:100%;
  position: absolute;
  height: 20vh !important;
  bottom: 0;
  background: #f5f5f5;
  box-shadow: 0 -2px 10px rgb(0 0 0 / 10%);
  padding-top: 20px;
}


@media screen and (max-width: 991px) {
  .modal-dialog-right {
    width: 90% !important;
  }
  .progress-bar-wrapper {
    display: none;
 }
}

@media screen and (min-width: 991px) {
  .modal-dialog-right {
    width: 35% !important;
  }

 .progress-bar-wrapper {
     top: 35%;
 }
}


li {
    list-style: none;
    padding: 0;
    margin: 0;
}

.modal-fullScreen{
    max-width: 98vw;
}

.navbar{
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.3);
}

.text-pedido{
  font-family: "Montserrat", sans-serif;
  color: #212529;
}

.detalle-unidadMedida{
    font-size: 12px;
}
.progress-container {
  width: 100%;
  margin: auto;
  padding: 20px;
  position: relative;
}

.progress-bar-wrapper {
  position: absolute;
  top: 30%;
  left: 0;
  width: 100%;
  height: 3px;
  background: #ddd;
}


.progress-steps {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 1;
}

.progress-step {
  text-align: center;
  flex: 1;
  position: relative;
}

.progress-step i {
  font-size: 20px;
  color: #4caf50;
  background: #fff;
  border: 2px solid #4caf50;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  line-height: 32px;
  display: inline-block;
}

.progress-step.disabled i {
  color: #aaa;
  border-color: #aaa;
}

.progress-step.disabled span {
  color: #aaa;
}

.progress-step span {
  display: block;
  font-size: 12px;
  color: #555;
  margin-top: 5px;
}

.btn-accordion:focus{
    box-shadow: none !important;
}

#info-celular{
    margin-bottom: -.5rem !important;
}

.contenedor-imagen-producto {
    position: relative;
}

.badge-promocion {
    position: absolute;
    top: 10px;
    right: 0;
    text-align: right;
    z-index: 10;
    font-size: 0.90rem;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}

.text-decoration-line-through{
     text-decoration: line-through;
}